#!/bin/sh

# Stack_Delete.sh
# Chieh Cheng
# 2008-12-31
# http://www.CynosureX.com/

# GNU General Public License (GPL), Version 2, June 1991

# Delete a stack.

  scriptName=`echo $0 | sed s/\\\\/.*\\\\///g`

  usage ()
  {
    echo "  Usage:   $scriptName \"name\""
    echo
    echo "           name - Name of the set. If it exists, it is deleted."
  }

  if [ $# -eq 1 ]
  then
    name="$1"

    tokens=`Tokenize.sh "_" "${scriptName}"`
    type=`echo "${tokens}" | Token.sh 1`

    file=`${type}_GetFileName.sh "${name}"`

    if [ -f "${file}" ]
    then
      rm "${file}"
    else
      echo "${scriptname}: ${type} ${name} does not exist!"
    fi
  else
    usage
  fi
