#!/bin/sh

# Stack_Show.sh
# 2008-12-31
# Chieh Cheng
# http://www.CynosureX.com/

# GNU General Public License (GPL) Version 2, June 1991

  scriptName=`basename "$0"`

  usage ()
  {
    echo "  Usage:   ${scriptName} \"name\""
    echo
    echo "           name - Name of the set. If it exists, the elements are displayed."
  }

  if [ $# -eq 1 ]
  then
    name="$1"

    tokens=`Tokenize.sh "_" "${scriptName}"`
    type=`echo "${tokens}" | Token.sh 1`

    result=`${type}_Exists.sh "${name}"`
    if [ "${result}" = "true" ]
    then
      file=`${type}_GetFileName.sh "${name}"`
      cat "${file}"
    else
      echo "${scriptName}: ${type} ${name} does not exist!."
    fi
  else
    usage
  fi
